Download it now!
Bug 134796 - FILESAVE: big document with password can't be open afterwards
Summary: FILESAVE: big document with password can't be open afterwards
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: highest critical
Assignee: Luboš Luňák
URL:
Whiteboard: target:7.1.0 target:7.0.1 target:7.0.0
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2020-07-14 10:04 UTC by Xisco Faulí
Modified: 2020-07-29 18:18 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-07-14 10:04:51 UTC
This is a follow-up of bug 134332

Steps to reproduce:
1. Open attachment 162895 [details] from bug 134332
2. Save it with password -> If an error is prompted, that bug 134332
3. Open the new generated document and type the password

-> Read Error. The wrong password has been entered

Reproduced in a local build with https://cgit.freedesktop.org/libreoffice/core/commit/?id=08161f853571e3d4113c40a5d9d2cc24dca7506f included
Comment 1 Xisco Faulí 2020-07-14 10:11:31 UTC
it works fine before

author	Dennis Francis <dennis.francis@collabora.com>	2020-01-11 11:51:34 +0530
committer	Dennis Francis <dennis.francis@collabora.com>	2020-01-13 12:11:44 +0100
commit	353d4528b8ad8abca9a13f3016632e42bab7afde (patch)
tree	a83950338ad79e77594638d9dd60bd073fdd2115
parent	9dce33e6943dec5ff111802ec3e7c338abf56592 (diff)
tdf#125662: do parallel-zip in batches
In this approach the input stream is read one batch (of constant size)
at a time and each batch is compressed by ThreadedDeflater. After
we are done with a batch, the deflated buffer is processed straightaway
(directed to file backed storage).

https://cgit.freedesktop.org/libreoffice/core/commit/?id=353d4528b8ad8abca9a13f3016632e42bab7afde

so I believe this issue was introduced by this commit

Adding Cc: to Dennis Francis
Comment 2 Xisco Faulí 2020-07-14 14:04:06 UTC
Unittest created in https://gerrit.libreoffice.org/c/core/+/98743 and waiting for a fix
Comment 3 Commit Notification 2020-07-16 11:03:36 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b3c4ca3439eea5f81f3e5a98830829fa20c22823

properly finish encrypting when parallel zip saving (tdf#134796)

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-07-16 11:04:52 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c60ce3d48dbccd616cfa989ca3d8f1ded4ccd411

tdf#134332, tdf#134796: sc_subsequent_export_test: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-07-16 14:59:11 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/14ca32ec6e0ee7fdb1d70d7db52b532e571ebd5d

properly finish encrypting when parallel zip saving (tdf#134796)

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-07-16 17:47:04 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/8b15cebf0df0bf1449e2a1f221411e23eebbce16

tdf#134332, tdf#134796: sc_subsequent_export_test: Add unittest

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 b. 2020-07-18 07:52:10 UTC
first test says working, 

:-)
Comment 8 Xisco Faulí 2020-07-20 10:25:57 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: abea0d6647c7f1f7e76c73c26cb80e6a67dc5111
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Luboš Luňák, Thanks for fixing this issue!!
Comment 9 Commit Notification 2020-07-29 18:18:39 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-0-0":

https://git.libreoffice.org/core/commit/a186249dc1099508add06d5f0e820c5ba66a6a2e

properly finish encrypting when parallel zip saving (tdf#134796)

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.